Loading...
Searching...
No Matches
BellmanFordWizardBase< GR, LEN > Class Template Reference

## Detailed Description

template<typename GR, typename LEN>
class lemon::BellmanFordWizardBase< GR, LEN >

Default traits class used by BellmanFordWizard.

Template Parameters

  GR | The type of the digraph.
  LEN | The type of the length map.

`#include <lemon/bellman_ford.h>`

Inheritance diagram for BellmanFordWizardBase< GR, LEN >:
[legend]

## Public Member Functions

| BellmanFordWizardBase ()
| Constructor.
| BellmanFordWizardBase (const GR &gr, const LEN &len)
| Constructor.

## Additional Inherited Members

Public Types inherited from BellmanFordWizardDefaultTraits< GR, LEN >
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef LEN | LengthMap
| The type of the map that stores the arc lengths.
typedef LEN::Value | Value
| The type of the arc lengths.
typedef BellmanFordDefaultOperationTraits< Value > | OperationTraits
| Operation traits for Bellman-Ford algorithm.
typedef GR::template NodeMap< typename GR::Arc > | PredMap
| The type of the map that stores the last arcs of the shortest paths.
typedef GR::template NodeMap< Value > | DistMap
| The type of the map that stores the distances of the nodes.
typedef lemon::Path< Digraph > | Path
| The type of the shortest paths.
Static Public Member Functions inherited from BellmanFordWizardDefaultTraits< GR, LEN >
static PredMap * | createPredMap (const GR &g)
| Instantiates a `PredMap`.
static DistMap * | createDistMap (const GR &g)
| Instantiates a `DistMap`.

## Constructor & Destructor Documentation

## BellmanFordWizardBase() [1/2]

template<typename GR, typename LEN>

BellmanFordWizardBase | ( |  | ) |

inline

This constructor does not require parameters, it initiates all of the attributes to default values `0`.

## BellmanFordWizardBase() [2/2]

template<typename GR, typename LEN>

BellmanFordWizardBase | ( | const GR & | gr,
|  | const LEN & | len )

inline

This constructor requires two parameters, others are initiated to `0`.

Parameters

  gr | The digraph the algorithm runs on.
  len | The length map.